;InnoSetupVersion=3.0.5

[Setup]
AppName=ReadWrite Korean
AppVerName=ReadWrite Korean version 2.1
AppId=ReadWrite Korean
AppVersion=2.1 Build 1050
AppPublisher=Declan Software, Inc.
AppPublisherURL=http://www.declan-software.com
DefaultDirName={pf}\ReadWrite Korean
DefaultGroupName=ReadWrite Korean
OutputBaseFilename=rwk_setup
Compression=zip
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\readwrite_korean.exe"; DestDir: "{app}"; 
Source: "{app}\khs_installer.exe"; DestDir: "{app}"; 
Source: "{app}\rwk.opt"; DestDir: "{app}"; 
Source: "{app}\sheadg.ttf"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\registration.htm"; DestDir: "{app}"; 
Source: "{app}\s0.khs"; DestDir: "{app}"; 
Source: "{app}\res\0.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\1.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\2.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\3.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\4.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\5.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\6.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\7.wav"; DestDir: "{app}\res"; 
Source: "{app}\res\intro.bmp"; DestDir: "{app}\res"; 
Source: "{app}\res\splash.bmp"; DestDir: "{app}\res"; 
Source: "{app}\dlls\about.dll"; DestDir: "{app}\dlls"; 
Source: "{app}\dlls\ag.dll"; DestDir: "{app}\dlls"; 
Source: "{app}\dlls\picmain.dll"; DestDir: "{app}\dlls"; 
Source: "{app}\dat\fontdata.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\c.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\e.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\m.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\g.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\n.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\r.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\w.dat"; DestDir: "{app}\dat"; 
Source: "{app}\dat\sx.dat"; DestDir: "{app}\dat"; 
Source: "{app}\cnt\l.cnt"; DestDir: "{app}\cnt"; 
Source: "{app}\cnt\m.cnt"; DestDir: "{app}\cnt"; 
Source: "{app}\cnt\n.cnt"; DestDir: "{app}\cnt"; 
Source: "{app}\cnt\r.cnt"; DestDir: "{app}\cnt"; 
Source: "{app}\cnt\w.cnt"; DestDir: "{app}\cnt"; 

[Registry]
Root: HKCU; Subkey: "Software\Declan Software\ReadWrite Korean v2"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Declan Software\ReadWrite Korean v2"; ValueName: "Version"; ValueType: String; ValueData: "2.1"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Declan Software\ReadWrite Korean v2"; ValueName: "Registered"; ValueType: String; ValueData: "No"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Declan Software\ReadWrite Korean v2"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\khs_installer.exe"; Parameters: "1000"; 

[Icons]
Name: "{group}\ReadWrite Korean"; Filename: "{app}\readwrite_korean.exe"; WorkingDir: "{app}"; 
Name: "{group}\ReadMe"; Filename: "{app}\readme.txt"; WorkingDir: "{app}"; 
Name: "{group}\On-line Registration"; Filename: "{app}\registration.htm"; WorkingDir: "{app}"; 
Name: "{userdesktop}\ReadWrite Korean"; Filename: "{app}\readwrite_korean.exe"; WorkingDir: "{app}"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}"; 
